Сайт | Скачать | Видео | Wiki

Автор Тема: Компиляция под другую версию либ (на примере ffmpeg2.8)  (Прочитано 76 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 26874
  • Репутация: +182/-0
    • PuppyRus-A
Иногда нужно что-то скомпилить не под те версии либ, что есть в системе (ffmpeg qt icu ...)
Например для другого дистра или компилируемая прога только под старые (или новые) либы
1. Размещаем эти либы и DEV составляющие в другом каталоге : ffmpeg2.8-2.8.13-3-x86_64.pkg.tar.xz
2. Собираем так
Код
export PKG_CONFIG_PATH='/usr/lib/ffmpeg2.8/pkgconfig'
./autogen.sh ; ./configure --prefix=/usr ; make
3. При запуске скомпиленной программы пригодится методика

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 26874
  • Репутация: +182/-0
    • PuppyRus-A
В ситуации если прога требует свежего glibc? Такие же инструкции?
Да
C glibc надо поосторожнее. Если накосячить - система зависнет
Не встречал в src ограничений на версию glibc...
Обычно есть бинарник , который хочет glibc свежее, чем в системе
Поэтому в своих дистрах glibc постоянно обновляю

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 2134
  • Репутация: +70/-0
Поэтому в своих дистрах glibc постоянно обновляю
А способ обновления? Просто скачать с сайта последнюю версию и
pacman2pfs -U glibc.pkg.tar.xz
?

Где-то тема была про это, там речь шла вроде о компиляции свежего glibc?


upd. Надеюсь я не путаю glibc и glib2. Несколько раз при установки свежей проги требовалось что-то из них. И при запуске полученного модуля все ломалось в системе. :)
« Последнее редактирование: 09 Октябрь 2019, 18:05:13 от krasnyh »

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 26874
  • Репутация: +182/-0
    • PuppyRus-A
А способ обновления?
Установить в chroot в 001*.pfs
pacman2pfs -U glibs.pkg.tar.xz
Так может не прокатить. Скрипт install из пакета тут не отрабатывает
Нужно еще в модуль добавить результат locale-gen. Без этого русского не будет. На крайняк - чтоб без чрута - можно загрузиться без locale-gen. Выполнить его , добавить в модуль /usr/lib/locale/*

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 26874
  • Репутация: +182/-0
    • PuppyRus-A
Где-то тема была про это, там речь шла вроде о компиляции свежего glibc?
Для ддр 2.30 компилил
Надеюсь я не путаю glibc и glib2.
glib2 выше версией требуется реже
Хорошо , что обе либы почти без зависимостей и обратно совместимы